package com.prolog.cs.biz.inbound.dto.print;

import java.io.Serializable;

/**
 * 收货(验收)通知单明细打印table
 * 
 * @author Xiong
 *
 */
public class RcvLinesPrintNewDTO implements Serializable {
	private static final long serialVersionUID = -6746023450751082673L;
	// 商品编号
	private String itemNum;
	// 商品名称
	private String itemName;
	// 商品规格
	private String specification;
	// 生产厂家
	private String manufacturerName;
	// 批号
	private String manufacturerLotNum;
	// 数量
	private Double pieceQty;
	// 件数
	private Double oddCaseQty;
	// 零散
	private Double oddPieceQty;
	// 生产日期
	private String productionDate;
	// 有效期至
	private String expiredDate;
	// 包装单位
	private String uom;
	// 包装数量
	private Double conversionRate;

	public String getItemNum() {
		return itemNum;
	}

	public void setItemNum(String itemNum) {
		this.itemNum = itemNum;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public Double getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(Double pieceQty) {
		this.pieceQty = pieceQty;
	}

	public Double getOddCaseQty() {
		return oddCaseQty;
	}

	public void setOddCaseQty(Double oddCaseQty) {
		this.oddCaseQty = oddCaseQty;
	}

	public Double getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(Double oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public String getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(String productionDate) {
		this.productionDate = productionDate;
	}

	public String getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(String expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public Double getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(Double conversionRate) {
		this.conversionRate = conversionRate;
	}
}
